--- /dev/null
+++ b/extra/fbdev-blacklist.conf
@@ -0,0 +1,25 @@
+# This file blacklists the framebuffer drivers.
+
+blacklist arkfb
+blacklist aty128fb
+blacklist atyfb
+blacklist radeonfb
+blacklist cirrusfb
+blacklist cyber2000fb
+blacklist gx1fb
+blacklist gxfb
+blacklist lxfb
+blacklist kyrofb
+blacklist matroxfb_base
+blacklist mb862xxfb
+blacklist neofb
+blacklist nvidiafb
+blacklist pm2fb
+blacklist pm3fb
+blacklist s3fb
+blacklist savagefb
+blacklist sisfb
+blacklist tdfxfb
+blacklist tridentfb
+blacklist viafb
+blacklist vt8623fb
--- /dev/null
+++ b/extra/make-fbdev-blacklist
@@ -0,0 +1,26 @@
+#!/bin/sh
+# This script should be run before building the package every time a new
+# kernel is released.
+
+set -e
+
+BL='fbdev-blacklist.conf'
+
+if [ -e extra/$BL ]; then cd extra; fi
+
+{
+printf "# This file blacklists the framebuffer drivers.\n\n"
+
+find /lib/modules/$(uname -r)/kernel/drivers/video -type f | sort | \
+while read file; do
+  /sbin/modinfo $file | grep -q '^alias: *pci:' \
+    && echo blacklist $(basename $file .ko) || true
+done
+} > $BL.tmp
+
+if diff --unified=0 $BL $BL.tmp; then
+  rm $BL.tmp
+else
+  printf "\n\n\n$BL.tmp has changes!\n\n\n\n"
+fi
+
